

//avoids unnecessary console output when deactivating an already deactivated package
function deactivatePackageIfActive(%p)
{
	for(%a = 0; %a < getNumActivePackages(); %a++)
		if(%p $= getActivePackage(%a))
		{
			deactivatePackage(%p);
			return;
		}
}

function activatePackageIfNotActive(%p)
{
	for(%a = 0; %a < getNumActivePackages(); %a++)
		if(%p $= getActivePackage(%a))
			return;

	activatePackage(%p);
}





//init function
//runs whenever content is set to the main menu

function ReauthButton_init()
{
	echo("Running ReauthButton positioning routine.");
	exec("./client.gui");
}


deactivatePackageIfActive(ReauthButton);
package ReauthButton
{
	function MainMenuGui::onRender(%this)
	{
		%r = Parent::onRender(%this);
		ReauthButton_init();
		return %r;
	}
};
activatePackage(ReauthButton);
